<template>
  <v-container>
    <v-row dense>
      <v-col cols="12" v-for="consultation in consultations" :key="consultation.id">
        <consultation-list-item :consultation="consultation"/>
      </v-col>
    </v-row>
  </v-container>
</template>

<script lang="ts">

import Vue from "vue";
import Component from "vue-class-component";
import { Consultation } from "@/domain/entity/consultation/Consultation";
import { Prop } from "vue-property-decorator";
import ConsultationListItem from "@/components/consultations/ConsultationListItem.vue";

@Component({
  components: {
    ConsultationListItem
  }
})
export default class ConsultationsList extends Vue {
  @Prop({
    required: true,
    type: Array,
    default: () => []
  })
  private readonly consultations!: Consultation[];
}

</script>

<style scoped>

</style>
